Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.oraclegeoraster
Class GeoRasterWriter

    java.lang.Object
      org.deegree.io.oraclegeoraster.GeoRasterWriter

    public class GeoRasterWriter

extends Object

This class offers one public static method for importing an image read from a file into Oracle GeoRaster Database. To work correctly following assumptions are made:

- a worldfile is assigend to the image file
- DLLTrigger has been set for RDT-Table
- no mosaicing and pyramid calculations will be perform by this class

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`GeoRasterWriter()`

Method Summary
`static double[]` | `createParsFromWorldfile(Reader reader)`
`static void` | `importRaster(Connection connection, String imageFile, String worldFilename, String rdtName, String imageTableName, String georColName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoRasterWriter

    public GeoRasterWriter()

Method Detail

### importRaster

    public static void importRaster(Connection connection,
                                    String imageFile,
                                    String worldFilename,
                                    String rdtName,
                                    String imageTableName,
                                    String georColName)
                             throws Exception

  Parameters:
    `connection` - database connection
    `imageFile` - absolut path to the image file to import
    `worldFilename` - name of the images worldfile
    `rdtName` - name of the RDT table
    `imageTableName` - name of the tabvle to store the image
    `georColName` - name of the GeoRaster column in imageTableName
  Throws:
    `Exception`

### createParsFromWorldfile

    public static double[] createParsFromWorldfile(Reader reader)
                                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org